Bug 1322259 - Mouse freezes when gnome-software is opened
Summary: Mouse freezes when gnome-software is opened
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 07:19 UTC by M.Hanny Sabbagh
Modified: 2017-12-12 10:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:53:52 UTC


Attachments (Terms of Use)
output of dmesg (66.09 KB, text/plain)
2016-05-11 04:59 UTC, M.Hanny Sabbagh
no flags Details
output of lsusb -v (31.20 KB, text/plain)
2016-05-11 05:00 UTC, M.Hanny Sabbagh
no flags Details

Description M.Hanny Sabbagh 2016-03-30 07:19:46 UTC
Description of problem: 
After installing gnome-software on MATE desktop and opening it, the mouse freezes, as simple as that.

The laptop touchpad is still working, but the USB just stops.


Version-Release number of selected component (if applicable): 3.18.3


How reproducible: Always


Steps to Reproduce:
1. Install gnome-software on MATE desktop.
2. Run the program.
3. Wait a minute or close the program to see the freeze.

Actual results:
The USB mouse stops working.


Expected results: The USB mouse should have worked.


Additional info:
I would really like to add something to the attachments, but I couldn't see the name of the log file for gnome-software, and --verbose showed nothing just loaded modules.

Comment 1 Richard Hughes 2016-03-31 09:59:07 UTC
This should be fixed with https://github.com/hughsie/fwupd/commit/aaa07726182cca8c362eb35fcd55e9df56535081 -- I'm guessing you don't get the freeze with fwupd 0.6.3, right?

Comment 2 M.Hanny Sabbagh 2016-03-31 12:28:13 UTC
I tried the version 0.7 from that repository and the problem still there.

Comment 3 Richard Hughes 2016-04-01 15:31:13 UTC
I don't think this is anything to do with the problem then. Sorry.

Comment 4 M.Hanny Sabbagh 2016-04-02 15:59:05 UTC
So? Why do you close the bug report and put it under "not a bug"? I am still facing the problem here in Fedora 23 and it should be fixed, what does it mean that users can't use the Software Center properly? Do you usually leave your users with bugs and no-fixes in Fedora?

Comment 5 Richard Hughes 2016-04-03 14:44:04 UTC
Does the bug happen in GNOME or is it specific to MATE?

Comment 6 M.Hanny Sabbagh 2016-04-03 15:17:47 UTC
Hmm now that's interesting, I installed GNOME to test whether or not the bug exists or not, and after I logged in to GNOME, the USB mouse automatically stopped working, even without doing anything. Looks like it's a bug in one of GNOME input components.

Comment 7 M.Hanny Sabbagh 2016-04-04 03:27:54 UTC
After checking the /var/log/messages file, I discovered that gnome-software run its daemon automatically after logging in to GNOME to check for possible updates, which causes the same problem again.

The problem therefore is from gnome-software.

After the mouse freeze and when I unplug the USB mouse and plug it again, it works for just 1 second, then it freezes again, with those lines in the log file:

Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received
Apr  4 06:26:09 mypc PackageKit: get-updates transaction /422_dcabbcbb from uid 1000 finished with success after 50ms
Apr  4 06:26:09 mypc gnome-software-service.desktop: (gnome-software:4828): Gs-WARNING **: failed to get updates: no results to show

Comment 8 Richard Hughes 2016-04-04 06:57:11 UTC
If you uninstall gnome-software, does the problem still happen when logging into GNOME? If it does, will you believe me that it's not gnome-software at fault?

Comment 9 M.Hanny Sabbagh 2016-04-04 07:32:52 UTC
I already tried, and after removing gnome-software, the problem is gone, I can know log in and use GNOME, therefore the problem is from gnome-software.

Comment 10 M.Hanny Sabbagh 2016-04-07 14:25:47 UTC
Today, I removed MATE & GNOME completely from the system, and installed Cinnamon and GNOME software, and the same problem happened, the problem is not from MATE or Cinnamon or even GNOME Shell, it's from the program.

Comment 11 M.Hanny Sabbagh 2016-04-21 17:04:11 UTC
The funny thing is: Your software is causing the same exact problem on Ubuntu 16.04 here, I had to remove it again in order to get my mouse working, now tell me that the problem is from MATE, not from gnome-software.

Comment 12 M.Hanny Sabbagh 2016-04-23 08:47:03 UTC
Tested on openSUSE 42.1, same thing happens. Therefore I am re-opening the bug cause it is happening because of the software on multiple distributions on different interfaces, beside Fedora 23 itself.

I don't know if anyone can remove "MATE" from the bug's title cause it's no longer about MATE anymore after investigation.

Maybe it's hardware specific btw, but no one asked me for any hardware information or log files until now.

Comment 13 Przemek Klosowski 2016-05-09 16:26:51 UTC
As a really long shot attempt, could you try it with a different mouse?

Comment 14 Michal Schmidt 2016-05-09 18:26:30 UTC
(In reply to M.Hanny Sabbagh from comment #7)
> Apr  4 06:26:07 mypc kernel: usb 2-6: input irq status -75 received

Similar errors appeared in bug 1219343, which was fixed by adding a quirk to the hid driver.

Comment 15 Michal Schmidt 2016-05-09 18:35:55 UTC
Does running any of these commands trigger the issue?:

fwupdmgr get-devices
fwupdmgr get-updates

Comment 16 M.Hanny Sabbagh 2016-05-10 14:05:59 UTC
> As a really long shot attempt, could you try it with a different mouse?
Unfortunately I don't have another mouse here, but I will try to get a new one soon.

> Does running any of these commands trigger the issue?:
Yes, running any of them on my laptop caused to happen again

Guess it's from fwupd then.. Right?

Comment 17 Michal Schmidt 2016-05-10 14:45:49 UTC
Please attach the outputs of "lsusb -v" and "dmesg".

Comment 18 M.Hanny Sabbagh 2016-05-11 04:59:15 UTC
Created attachment 1155953 [details]
output of dmesg

Comment 19 M.Hanny Sabbagh 2016-05-11 05:00:48 UTC
Created attachment 1155954 [details]
output of lsusb -v

Comment 20 M.Hanny Sabbagh 2016-06-23 00:38:01 UTC
Confirmed today with Fedora 24 GNOME desktop and fwupd 0.7.1.

Comment 21 Fedora End Of Life 2016-11-24 16:17:41 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2016-12-20 19:42:30 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 M.Hanny Sabbagh 2017-02-05 13:38:48 UTC
This is still in Fedora 25 as well. And all the other Linux distributions.

Comment 24 Fedora End Of Life 2017-11-16 18:30:39 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 25 Przemek Klosowski 2017-11-16 18:46:20 UTC
(In reply to M.Hanny Sabbagh from comment #20)
> Confirmed today with Fedora 24 GNOME desktop and fwupd 0.7.1.
Did you get a chance to try another mouse?

Comment 26 Fedora End Of Life 2017-12-12 10:53:52 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.